use NDBM_File;
use GDBM_File;
use Fcntl;

die "Usage:$0 old new\n" if (@ARGV<2);

my($old,$new) = @ARGV;

tie (%oldhash, 'NDBM_File', $old, O_RDONLY, 0444)
    || die "$0: Error opening source $old: $!\n";
tie (%newhash, 'GDBM_File', $new, O_CREAT|O_RDWR|O_EXCL, 0666)
    || die "$0: Error opening dest $new: $!\n";

while(($key, $value) = each(%oldhash))
{
    $newhash{$key} = $value;
}

untie %oldhash || die "$0: Error closing old DBM file, $!\n";
untie %newhash || die"$0: Error closing new DBM file, $!\n";
