use Fcntl;
use GDBM_File;

tie %db, 'GDBM_File', 'Test_GDBM', O_CREAT|O_RDWR, 0644
     || die "Can't open DB File, $!";;

$db{'1'} = join(',',qw/Brown Martin mc@mcwords.com/);
$db{'2'} = join(',',qw/Foo Bar foo@foobar.com/);
$db{'3'} = join(',',qw/Bar Foo bar@barfoo.com/);

foreach $id (sort keys %db)
{
    ($lastname, $firstname, $email) = split(/,/,$db{$id});
    print "$id: lastname: $lastname\n";
    print "$id: firstname: $firstname\n";
    print "$id: email: $email\n";
}

untie %db || die "Can't close DB File, $!";
