use Fcntl;

use GDBM_File;

tie %db, 'GDBM_File', 'Test_GDBM', O_CREAT|O_RDWR, 0644
     or die "Can't open DB File, $!";

$db{1} = 'Record';
$db{1}{lastname} = 'Brown';
$db{1}{firstname} = 'Martin';
$db{1}{email} = 'mc@mcwords.com';

$db{2}{lastname} = 'Foo';
$db{2}{firstname} = 'Bar';
$db{2}{email} = 'foo@foobar.com';

$db{3}{lastname} = 'Bar';
$db{3}{firstname} = 'Foo';
$db{3}{email} = 'bar@barfoo.com';

foreach (sort keys %db)
{
    foreach $field (sort keys %{$db{$_}})
    {
        print "$_: $field: $db{$_}{$field}\n";
    }
}

untie %db || die "Can't close DB File, $!"
