use Fcntl;
use GDBM_File;

tie %db, 'GDBM_File', 'Test_Rel', O_CREAT|O_RDWR, 0644
     || die "Can't open DB File, $!";;

foreach $id (sort grep(/^contact-[0-9]+/,keys %db))
{
    ($lastname, $firstname, $relations) = split(/;/,$db{$id});
    print "$firstname $lastname\n";
    foreach $subid (sort split(/,/,$relations))
    {
        ($type,$num) = $db{"numbers-$subid"}
             if (exists($db{"numbers-$subid"}));
        print "    $type: $num\n";
    }
}

untie %db || die "Can't close DB File, $!";
