use Fcntl qw/:flock/;
use DB_File;

$dbobj = tie(%db, 'DB_File', 'dbfile.db', O_RDWR, 0644)
         || die "Can't tie database to hash, $!";

$fileno = $dbobj->fd;
open(DBHANDLE, "+<&=$fileno") || die "Can't open FH, $!";
unless (flock(DBHANDLE, LOCK_EX|LOCK_NB)) { die "Can't lock: $!" }
# ...
flock(DBHANDLE, LOCK_UN);
close(DBHANDLE);
untie %db;
