#!/usr/local/bin/perl

use DBI;

my ($reqdate);
die "Usage: $0 title required-date\n" if (@ARGV<2);

($mday,$mon,$year) = split '/',$ARGV[-1];
$reqdate = ($year*10000)+($mon*100)+$mday;

my ($table) = "csvtasks";

my($dbh) = DBI->connect("DBI:CSV:");

unless (-e $table)
{
    $dbh->do("CREATE TABLE $table (title CHAR(40), 
              reqdate CHAR(8), compdate CHAR(8))")
          || die "Couldn't create table " . dbh->errstr();
}

$dbh->do("INSERT INTO $table VALUES (" . 
    $dbh->quote($ARGV[0]) . "," . 
    $dbh->quote($reqdate) . "," .
    $dbh->quote(0) . ")")
    || die "Couldn't add record, " . $dbh->errstr();
