#!/usr/local/bin/perl

use DBI;

die "Usage: $0 title completed-date\n" if (@ARGV<2);

my ($mday,$mon,$year) = split m:/:,$ARGV[-1];
my ($compdate) = ($year*10000)+($mon*100)+$mday;

my ($table) = "csvtasks";

my($dbh) = DBI->connect("DBI:CSV:");

my($query) = "UPDATE $table SET compdate = " . 
              $dbh->quote($compdate) .
             " WHERE title = " . $dbh->quote($ARGV[0]);

$dbh->do($query) || die "Unable to update, " . $dbh->errstr();
