my $fifo = 'logfifo';
my $logfile = 'logfile.txt';

unless (-p $fifo)
{
    unlink $fifo;
    if (system('mkfifo','logfifo'))
    {
        die "Can't create FIFO: $!";
    }
}

open(FIFO, "<$fifo") or die "Can't open fifo for reading: $!";
open(LOG, ">>$logfile") or die "Can't append to $logfile: $!";
while(<FIFO>)
{
    my $date = localtime(time);
    print LOG "$date: $_\n";
}

close(FIFO) or die "Can't close fifo: $!";
close(LOG) or die "Can't close log: $!";
