use Tk;

my ($feetscale, $metrescale) = (0,0);

$main = MainWindow->new();

$feetframe = $main->Frame()->pack(side => 'left');

$feetframe->Scale(command     => \&update_feet,
                 variable     => \$feetscale,
                 width        => 20,
                 length       => 400,
                 orient       => 'vertical',
                 from         => 0,
                 to           => 328,
                 resolution   => 1,
                 tickinterval => 25,
                 label        => 'Feet'
                 )->pack(side => 'top');

$feetframe->Label(textvariable => \$feetscale)->pack(side => 'top', 
                                                    pady => 5);

$metreframe = $main->Frame()->pack(side => 'left');

$metreframe->Scale(command     => \&update_metre,
                  variable     => \$metrescale,
                  width        => 20,
                  length       => 400,
                  orient       => 'vertical',
                  from         => 0,
                  to           => 100,
                  resolution   => 1,
                  tickinterval => 10,
                  label        => 'Metres'
                  )->pack(side => 'top');

$metreframe->Label(textvariable => \$metrescale)->pack(side => 'top', 
                                                      pady => 5);

MainLoop();

sub update_feet
{
    $metrescale = $feetscale/3.280839895;
}

sub update_metre
{
    $feetscale = $metrescale*3.280839895;
}
