#!/usr/local/bin/perl w

sub init_cgi
{
    my $length = $ENV{QUERY_LENGTH};
    my $query = $ENV{QUERY_STRING};
    my (@assign);

    if (defined($query))
    {
        @assign = split('&',$query);
    }
    elsif (defined($length) and $length > 0 )
    {
        sysread(STDIN, $_, $length);
        chomp;
        @assign = split('&');
    }
    foreach (@assign)
    {
        my ($name,$value) = split /=/;
        $value =~ tr/+/ /;
        $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
        if (defined($formlist{$name}))
        {
            $formlist{$name} .= ",$value";
        }
        else
        {
            $formlist{$name} = $value;
        }
    }
}

init_cgi();

respond("Error: No URL specified")
    unless(defined($SCGI::formlist{url}));

open(LOG,">>/usr/local/http/logs/jump.log")
    or respond("Error: A config error has occurred");

print LOG (scalar(localtime(time)),
           " $ENV{REMOTE_ADDR} $SCGI::formlist{url}\n");
close(LOG)
    or respond("Error: A config error has occurred");

print "Location: $SCGI::formlist{url}\n\n";

sub respond
{
    my $message = shift;
    print "Content-type: text/html\n\n";
    show_debug();
    print <<EOF;
<head>
<title>$message</title>
</head>
<body>
$message
</body>
EOF
    exit;
}
