sub error_report
{
    open (ERRORLOG, ">>error.log") or die "Fatal: Can't open log $!";
    $old = select ERROR;
    if (@errorlist)
    {
        print scalar localtime,"\n\n";
        print "Environment:\n";
        foreach (sort %ENV)
        {
            print "$_ = $ENV{$_}\n";
        }
        print "\nErrors:\n";
        print join "\n",@errorlist;
    }
    select $old;
}
