#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#include <sys/types.h>
#include <sys/statvfs.h>

MODULE = StatVFS   PACKAGE = StatVFS

PROTOTYPES: DISABLE

long
fsavail (path)
        char *  path
        CODE:
              struct statvfs vfsrec;
              int statreturn;
              statreturn = statvfs(path,&vfsrec);
              if (statreturn == 0)
              {
                  RETVAL = (vfsrec.f_frsize * vfsrec.f_bavail);
              }
              else
              {
                  RETVAL = -1;
              }
        OUTPUT:
        RETVAL

void
fsstat (path)
        char *  path
        PPCODE:
        {
              struct statvfs vfsrec;
              int statreturn;
              statreturn = statvfs(path,&vfsrec);
              if (statreturn == 0)
              {
                  PUSHs(sv_2mortal(
                          newSViv(vfsrec.f_frsize *
                                  vfsrec.f_blocks)));
                  PUSHs(sv_2mortal(
                          newSViv((vfsrec.f_frsize *
                                  (vfsrec.f_blocks-vfsrec.f_bavail)))));
                  PUSHs(sv_2mortal(
                          newSViv((vfsrec.f_frsize *
                                   vfsrec.f_bavail))));
              }
        }
