use strict;
use Win32::OLE;
my @files = @ARGV;
die "Usage:\n$0 files [...]\n" unless @files;
my $word = new Win32::OLE('Word.Application')
               || die "Can't open Word $!";

foreach $file (@files)
{
    next unless ($file =~ m/\.doc$/);
    $word->Documents->Open($file);
    (my $newfile = $file) =~ s/\.doc$/\.txt/ig;
    $word->ActiveDocument->SaveAs({FileName  => $newfile,
                                  FileFormat => 'wdFormatText'
                                 });
}
$word->Close();
