use Class::Struct;
use Socket;

struct('hostent' => {
    'h_name' => '$',
    'h_aliases' => '@',
    'h_addrtype' => '$',
    'h_length' => '$',
    'h_addr_list' => '@',
});
 
($name, $aliases, $addrtype, $length, @addresses) = 
gethostbyname($hostname);

my $host = new hostent;

$host->h_name($name);

@aliases = split / /, $aliases;
foreach($i=0;$i<@aliases;$i++)
{
    $host->h_aliases($i, $aliases[$i]);
}
$host->h_addrtype($addrtype);
$host->h_length($length);

for($i=0;$i<@addresses;$i++)
{
    $host->h_addr_list($i,inet_ntoa($addresses[$i]));
}
