for $file (@ARGV)
{
     my ($mode,$nlinks,$uid,$gid,$size,$mtime) = (stat($file))[2..5,7,9];
     printf("%s %2d %-10s %-10s %8d %s  %s\n",extperms($mode),
                                              $nlinks,
                                              scalar getpwuid($uid),
                                              scalar getgrgid($uid),
                                              $size,
                                              scalar localtime($mtime),
                                              $file);
}


sub extperms ()
{
    ($mode) = @_;
    my $perms = '-' x 9;

    substr($perms,0,1) = 'r' if ($mode & 00400);
    substr($perms,1,1) = 'w' if ($mode & 00200);
    substr($perms,2,1) = 'x' if ($mode & 00100);
    substr($perms,3,1) = 'r' if ($mode & 00040);
    substr($perms,4,1) = 'w' if ($mode & 00020);
    substr($perms,5,1) = 'x' if ($mode & 00010);
    substr($perms,6,1) = 'r' if ($mode & 00004);
    substr($perms,7,1) = 'w' if ($mode & 00002);
    substr($perms,8,1) = 'x' if ($mode & 00001);
    substr($perms,2,1) = 's' if ($mode & 04000);
    substr($perms,5,1) = 's' if ($mode & 02000);
    substr($perms,8,1) = 't' if ($mode & 01000);

    $perms;
}
