open(DATA,"</etc/passwd") || die "Couldn't open file properly";
my (%passwd, $ref);

while(<DATA>)
{
    chomp;
    @fields = split /:/;
    $login = shift @fields;
    $passwd{$login}{'passwd'} =  shift @fields;
    $passwd{$login}{'uid'}    =  shift @fields;
    $passwd{$login}{'gid'}    =  shift @fields;
    $passwd{$login}{'name'}   =  shift @fields;
    $passwd{$login}{'home'}   =  shift @fields;
    $passwd{$login}{'shell'}  =  shift @fields;
}

close(DATA) || die "Couldn't close file properly";

foreach (sort { $passwd{$a}{'uid'} <=> $passwd{$b}{'uid'} } keys %passwd)
{
    print "$_:";
    foreach $field (qw/login passwd uid gid name home shell/)
    {
        print "$passwd{$_}{$field}:";
    }
    print "\n";
}
