sub STORE
{
    my $self = shift;
    my $owner = shift;

    confess("Wrong type") unless ref $self;
    croak("Too many arguments") if @_;

    my $userid;

    if ($owner =~ /$[a-zA-Z]+/)
    {
        $userid = getpwnam($owner)
    }
    else
    {
        $userid = $owner;
    }

    local $! = 0;
    chown($userid,$$self);
    if ($!) { croak("Can't set file ownership: $!") }
    return $owner;
}
