use Fcntl;
use GDBM_File;

tie %db, 'GDBM_File', 'Test_GDBM', O_CREAT|O_RDWR, 0644
     || die "Can't open DB File, $!";

$db{'email-pstr'}   = 'a10a10a30';
$db{'email-fields'} = join(',', qw/Lastname Firstname Email/);

$db{'email-1'} = pack($db{'email-pstr'},qw/Brown Martin mc@mcwords.com/);
$db{'email-2'} = pack($db{'email-pstr'},qw/Foo Bar foo@foobar.com/);
$db{'email-3'} = pack($db{'email-pstr'},qw/Bar Foo bar@barfoo.com/);

@fieldnames = split(/,/,$db{'email-fields'});

foreach $id (sort grep(/^email-[0-9]+/,keys %db))
{
    @fields = unpack($db{'email-pstr'},$db{$id});
    for($i=0;$i<@fields;$i++)
    {
        $id =~ s/email\-//;
        print "$id: $fieldnames[$i]: $fields[$i]\n";
    }
}

untie %db || die "Can't close DB File, $!"
