use IO::Handle;
use Socket;
socketpair(CHILD, PARENT, AF_UNIX, SOCK_STREAM, PF_UNSPEC)
    or die "socketpair failed: $!";

PARENT->autoflush(1);
CHILD->autoflush(1);

if ($child = fork)     # Parent code
{
    close PARENT;
    print CHILD "34+56;\n";
    chomp($result = <CHILD>);
    print "Got a value of $result from child\n";
    waitpid($child,0);
    close CHILD;
}
else
{
    close CHILD;
    chomp($calculation = <PARENT>);
    $result = eval "$calculation";
    print PARENT "$result\n";
    close PARENT;
    exit;
}
