#!/usr/local/bin/perl w

print "Content-type: text/html\n\n";

sub init_cgi
{
    my $length = $ENV{QUERY_LENGTH};
    my $query = $ENV{QUERY_STRING};
    my (@assign);

    if (defined($query))
    {
        @assign = split('&',$query);
    }
    elsif (defined($length) and $length > 0 )
    {
        sysread(STDIN, $_, $length);
        chomp;
        @assign = split('&');
    }
    foreach (@assign)
    {
        my ($name,$value) = split /=/;
        $value =~ tr/+/ /;
        $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
        if (defined($formlist{$name}))
        {
            $formlist{$name} .= ",$value";
        }
        else
        {
            $formlist{$name} = $value;
        }
    }
}
init_cgi();
print("Form length is: ", scalar keys %formlist, "<br>\n");

for my $key (sort keys %formlist)
{
    print "Key $key = $formlist{$key}<br>\n";
}
