#!/usr/local/bin/perl -w

use CGI qw/:standard/;

print header,
      start_html('Roman Numerals Conversion'),
      h1('Roman Numeral Converter'),
      start_form,
      "What's the Roman Numeral number?",
      textfield('roman'),p,
      submit,
      end_form,p,hr,p;

if (param())
{
    print(h3('The value is ',parse_roman(uc(param('roman')))),p,hr);
}

sub parse_roman
{
    $_ = shift;
    my %roman = ('I' => 1,
                 'V' => 5,
                 'X' => 10,
                 'L' => 50,
                 'C' => 100,
                 'D' => 500,
                 'M' => 1000,
                 );
    my @roman = qw/M D C L X V I/;
    my @special = qw/CM CD XC XL IX IV/;
    my $result = 0;

    return 'Invalid numerals' unless(m/[IVXLXDM]+/);

    foreach $special (@special)
    {
        if (s/$special//)
        {
            $result += $roman{substr($special,1,1)} 
                          - $roman{substr($special,0,1)};
        }
    }
    foreach $roman (@roman)
    {
        $result += $roman{$roman} while s/$roman//;
    }
    return $result;
}
