#include "EXTERN.h"
#include "perl.h"
#include "XSUB.h"

#include <math.h>

static int
not_here(char *s)
{
    croak("%s not implemented on this architecture", s);
    return -1;
}

static double
constant(char *name, int arg)
{
    errno = 0;
    switch (*name) {
    case 'A':
   break;
    case 'B':
   break;
    case 'C':
   break;
    case 'D':
   if (strEQ(name, "DOMAIN"))
#ifdef DOMAIN
       return DOMAIN;
#else
       goto not_there;
#endif
   break;
    case 'E':
   break;
    case 'F':
   break;
    case 'G':
   break;
    case 'H':
   if (strEQ(name, "HUGE"))
#ifdef HUGE
       return HUGE;
#else
       goto not_there;
#endif
   if (strEQ(name, "HUGE_VAL"))
#ifdef HUGE_VAL
       return HUGE_VAL;
#else
       goto not_there;
#endif
   break;
    case 'I':
   break;
    case 'J':
   break;
    case 'K':
   break;
    case 'L':
   break;
    case 'M':
   if (strEQ(name, "MAXFLOAT"))
#ifdef MAXFLOAT
       return MAXFLOAT;
#else
       goto not_there;
#endif
   if (strEQ(name, "M_1_PI"))
#ifdef M_1_PI
       return M_1_PI;
#else
       goto not_there;
#endif
   if (strEQ(name, "M_2_PI"))
#ifdef M_2_PI
       return M_2_PI;
#else
       goto not_there;
#endif
   if (strEQ(name, "M_2_SQRTPI"))
#ifdef M_2_SQRTPI
       return M_2_SQRTPI;
#else
       goto not_there;
#endif
   if (strEQ(name, "M_E"))
#ifdef M_E
       return M_E;
#else
       goto not_there;
#endif
   if (strEQ(name, "M_LN10"))
#ifdef M_LN10
       return M_LN10;
#else
       goto not_there;
#endif
   if (strEQ(name, "M_LN2"))
#ifdef M_LN2
       return M_LN2;
#else
       goto not_there;
#endif
   if (strEQ(name, "M_LOG10E"))
#ifdef M_LOG10E
       return M_LOG10E;
#else
       goto not_there;
#endif
   if (strEQ(name, "M_LOG2E"))
#ifdef M_LOG2E
       return M_LOG2E;
#else
       goto not_there;
#endif
   if (strEQ(name, "M_PI"))
#ifdef M_PI
       return M_PI;
#else
       goto not_there;
#endif
   if (strEQ(name, "M_PI_2"))
#ifdef M_PI_2
       return M_PI_2;
#else
       goto not_there;
#endif
   if (strEQ(name, "M_PI_4"))
#ifdef M_PI_4
       return M_PI_4;
#else
       goto not_there;
#endif
   if (strEQ(name, "M_SQRT1_2"))
#ifdef M_SQRT1_2
       return M_SQRT1_2;
#else
       goto not_there;
#endif
   if (strEQ(name, "M_SQRT2"))
#ifdef M_SQRT2
       return M_SQRT2;
#else
       goto not_there;
#endif
   break;
    case 'N':
   break;
    case 'O':
   if (strEQ(name, "OVERFLOW"))
#ifdef OVERFLOW
       return OVERFLOW;
#else
       goto not_there;
#endif
   break;
    case 'P':
   if (strEQ(name, "PLOSS"))
#ifdef PLOSS
       return PLOSS;
#else
       goto not_there;
#endif
   break;
    case 'Q':
   break;
    case 'R':
   break;
    case 'S':
   if (strEQ(name, "SING"))
#ifdef SING
       return SING;
#else
       goto not_there;
#endif
   break;
    case 'T':
   if (strEQ(name, "TLOSS"))
#ifdef TLOSS
       return TLOSS;
#else
       goto not_there;
#endif
   break;
    case 'U':
   if (strEQ(name, "UNDERFLOW"))
#ifdef UNDERFLOW
       return UNDERFLOW;
#else
       goto not_there;
#endif
   break;
    case 'V':
   break;
    case 'W':
   break;
    case 'X':
   break;
    case 'Y':
   break;
    case 'Z':
   break;
    case '_':
   if (strEQ(name, "_POSIX_C_SOURCE"))
#ifdef _POSIX_C_SOURCE
       return _POSIX_C_SOURCE;
#else
       goto not_there;
#endif
   break;
    }
    errno = EINVAL;
    return 0;

not_there:
    errno = ENOENT;
    return 0;
}


MODULE = Math      PACKAGE = Math      


double
constant(name,arg)
   char *      name
   int      arg

