#include <EXTERN.h>
#include <perl.h>

void perl_add(int a, int b)
{
    int retval;
    dSP;
    ENTER;
    SAVETMPS;
    PUSHMARK(sp);
    XPUSHs(sv_2mortal(newSViv(a)));
    XPUSHs(sv_2mortal(newSViv(b)));
    PUTBACK;
    retval = perl_call_pv("add", G_SCALAR);
    SPAGAIN;
    if (retval == 1)
        printf("Returned: %d\n",POPi);
    PUTBACK;
    FREETMPS;
    LEAVE;
}

int main (int argc, char **Argv, char **env)
{
    char *my_argv[] = { "", "add.pl" };
    my_perl = perl_alloc();
    perl_construct(my_perl);

    perl_parse(my_perl, NULL, 2, my_argv, (char **)NULL);
    perl_add(35, 53);

    perl_destruct(my_perl);
    perl_free(my_perl);
}
